My HTC M7 or M8 is not compatible since I upgraded it to Android 5.0.1